﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StoryMaker.Data
{
    public interface ICRUDService<T>
    {
        string LastPath { get; }
        void Save(T item);
        void SaveAs(T item);
        T Open();
    }
}
