﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Media;

namespace StoryMaker.Plugins
{
    [AttributeUsage(AttributeTargets.Assembly, AllowMultiple = true, Inherited = true)]
    public sealed  class StyleResourceAttribute : Attribute, IResourceAttribute
    {
        public string Name { get; set; }
        public string Description { get; set; }
        public string ResourceClassPath { get; set; }

        /// <summary>
        /// Defines the Color Base to be used
        /// </summary>
        public Color BaseColor { get; set; }
        public StyleResourceAttribute(string name)
        {
            this.Name = name;
        }
    }
}
